> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getello.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Knowledge Bases

> Retrieve a paginated list of knowledge bases with filters, search, and sorting options.



## OpenAPI

````yaml /api-reference/openapi.json get /api/knowledge-base
openapi: 3.1.0
info:
  title: Ello.AI API
  description: API for managing agents and calls in Ello.AI
  version: 1.0.0
servers:
  - url: https://api.getello.ai/
security: []
paths:
  /api/knowledge-base:
    get:
      tags:
        - Knowledge Base
      summary: List Knowledge Bases
      description: >-
        Retrieve a paginated list of knowledge bases with filters, search, and
        sorting options.
      operationId: listKnowledgeBases
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            example: 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            example: 10
        - name: search
          in: query
          required: false
          schema:
            type: string
            example: invoice
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date-time
            example: '2026-04-01T00:00:00Z'
        - name: end_date
          in: query
          required: false
          schema:
            type: string
            format: date-time
            example: '2026-04-03T23:59:59Z'
        - name: sortBy
          in: query
          required: false
          schema:
            type: string
            example: updatedAt
        - name: sortOrder
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            example: desc
        - name: assistant_id
          in: query
          required: false
          schema:
            type: string
            example: 69cf92ec643b415327cab0ae
      responses:
        '200':
          description: Knowledge bases retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 200
                  message:
                    type: string
                    example: Knowledge bases retrieved successfully
                  data:
                    type: array
                    items:
                      type: object
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                        example: 1
                      limit:
                        type: integer
                        example: 10
                      total:
                        type: integer
                        example: 1
                      totalPages:
                        type: integer
                        example: 1
                      hasNextPage:
                        type: boolean
                        example: false
                      hasPrevPage:
                        type: boolean
                        example: false
        '400':
          description: Bad Request / Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                  message:
                    type: string
                    example: Validation Error
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          example: query.limit
                        message:
                          type: string
                          example: '"limit" must be less than or equal to 100'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 401
                  message:
                    type: string
                    example: Unauthorized access
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                  message:
                    type: string
                    example: Error listing knowledge bases
                  error:
                    type: object
                    properties:
                      details:
                        type: string
                        example: Internal error message
      security:
        - apiKey: []
        - bearerAuth: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````